Bug 70087 - anaconda crashes during install after installing last RPM package
anaconda crashes during install after installing last RPM package
Status: CLOSED RAWHIDE
Product: Red Hat Public Beta
Classification: Retired
Component: anaconda (Show other bugs)
limbo
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-07-30 02:42 EDT by James Ralston
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-08-01 00:47:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Ralston 2002-07-30 02:42:56 EDT
I was installing Limbo (7.2.93) on my laptop.  I did a Custom install, and then
did the "Everything" package set.  After anaconda finished installing the final
package (zsh), it then threw the following exception:

----------------------------------------

Exception Occured (sic)

An unhandled exception has occurred.  This is most likely a bug.  Please copy
the full
text of this exception or save the crash dump to a floppy then file a detailed bug
report against anaconda at http://bugzilla.redhat.com/bugzilla/

Traceback (most recent call last):
  File "/usr/lib/anaconda/gui.py", line 757, in handleRenderCallback
    self.currentWindow.renderCallback()
  File "/usr/lib/anaconda/iw/progress_gui.py", line 149, in renderCallback
    self.intf.icw.nextClicked()
  File "/usr/lib/anaconda/gui.py", line 610, in nextClicked
    self.dispatch.gotoNext()
  File "/usr/lib/anaconda/dispatch.py", line 150, in gotoNext
    self.moveStep()
  File "/usr/lib/anaconda/dispatch.py", line 215, in moveStep
    rc = apply(func, self.bindArgs(args))
  File "/usr/lib/anaconda/packages.py", line 936, in doPostInstall
    syslog.stop()
  File "/usr/lib/anaconda/syslogd.py", line 87, in stop
    os.waitpid (self.pid, 0)
OSError: [Errno 10] No child processes

----------------------------------------

I couldn't save the crash dump to floppy, as I can't have the floppy and the
DVD-ROM drive installed at the same time.

P.S.: "Occured" is misspelled; it should be "occurred".
Comment 1 Gil Chilton 2002-07-30 13:19:59 EDT
I experienced the same thing last night with limbo2 on a dual boot laptop 
installing the minimal install.  I did a minimal install a second time and the 
problem occurred again.  My laptop had grub previously and I was trying lilo 
with both of these installs.  When I chose my regular install with grub it 
worked fine.
Comment 2 Michael Fulbright 2002-08-01 00:47:52 EDT
Fixed this so it should not die now.
Comment 3 David Lawrence 2002-09-05 18:28:24 EDT
Verified fixed in latest tree.

Note You need to log in before you can comment on or make changes to this bug.